$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.7.1/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.7.1/kubernetes-client-windows-amd64.tar.gz'
$checksum       = 'bd3f99ead21f6c6c34dba7ef5c2d2308ef6770bcb255f286d9d5edbf33f5ccff'
$checksum64     = 'e2578ca743bf03b367c473c32657cbed4cf27a12545841058f8bb873fb70e872'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
